function [x1,y1,citac]=sg(x0,y0,A,b)
%n=size(A);
x=[x0;y0];
x1=x0;
y1=y0;
g1=A*x-b;
epsilon=0.001;
citac=0;
nor=2*epsilon;
while (nor>epsilon)  
   u1=g1'*g1;
   if (citac==0)  
             %beta1=0;
             s1=-g1;
   else 
             beta1=u1/u0;
             s1=-g1+beta1*s0;
   end       
   z1=A*s1;
   pom=s1'*z1;
   alfa1=u1/pom;
   x=x+alfa1*s1;
   g1=g1+alfa1*z1;        
   s0=s1;

   u0=u1;
   citac=citac+1;         
   nor=norm(g1,2);

   x1=[x1,x(1)];
   y1=[y1,x(2)];
   
end







